Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## baseCode.dataFilter
Class AbstractLevelFilter

    java.lang.Object
      baseCode.dataFilter.AbstractFilter
          baseCode.dataFilter.AbstractLevelFilter

All Implemented Interfaces:
  Filter

Direct Known Subclasses:
  ItemLevelFilter, RowLevelFilter

public abstract class AbstractLevelFilter
extends AbstractFilter

Abstract class representing a filter that removes things from matrices based on the values themselves. Copyright (c) 2004 Columbia University

Version:
  $Id: AbstractLevelFilter.java,v 1.3 2004/07/27 03:18:58 pavlidis Exp $
Author:
  Owner

Field Summary
`protected double` | `highCut`
`protected double` | `lowCut`
`protected boolean` | `useHighAsFraction`
`protected boolean` | `useLowAsFraction`

Fields inherited from class baseCode.dataFilter.AbstractFilter
`log`

Constructor Summary
`AbstractLevelFilter()`

Method Summary
`void` | `setHighCut(double h)` Set the high threshold for removal.
`void` | `setHighCut(double highCut, boolean isFraction)`
`void` | `setLowCut(double lowCut)` Set the low threshold for removal.
`void` | `setLowCut(double lowCut, boolean isFraction)`
`void` | `setUseAsFraction(boolean setting)` Set the filter to interpret the low and high cuts as fractions; that is, if true, lowcut 0.1 means remove 0.1 of the rows with the lowest values.
`void` | `setUseHighCutAsFraction(boolean setting)`
`void` | `setUseLowCutAsFraction(boolean setting)`

Methods inherited from class baseCode.dataFilter.AbstractFilter
`getOutputMatrix`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface baseCode.dataFilter.Filter
`filter`

Field Detail

### lowCut

    protected double lowCut

### highCut

    protected double highCut

### useLowAsFraction

    protected boolean useLowAsFraction

### useHighAsFraction

    protected boolean useHighAsFraction

Constructor Detail

### AbstractLevelFilter

    public AbstractLevelFilter()

Method Detail

### setLowCut

    public void setLowCut(double lowCut)

  Set the low threshold for removal.

  Parameters:
    `lowCut` - the threshold

### setLowCut

    public void setLowCut(double lowCut,
                          boolean isFraction)

  Parameters:
    `lowCut` -
    `isFraction` -

### setHighCut

    public void setHighCut(double h)

  Set the high threshold for removal. If not set, no filtering will occur.

  Parameters:
    `h` - the threshold

### setHighCut

    public void setHighCut(double highCut,
                           boolean isFraction)

  Parameters:
    `highCut` -
    `isFraction` -

### setUseHighCutAsFraction

    public void setUseHighCutAsFraction(boolean setting)

  Parameters:
    `setting` -

### setUseLowCutAsFraction

    public void setUseLowCutAsFraction(boolean setting)

  Parameters:
    `setting` -

### setUseAsFraction

    public void setUseAsFraction(boolean setting)

  Set the filter to interpret the low and high cuts as fractions; that is, if true, lowcut 0.1 means remove 0.1 of the rows with the lowest values. Otherwise the cuts are interpeted as actual values. Default = false.

  Parameters:
    `setting` - boolean

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2005 Columbia University. All Rights Reserved.